Subject: Re: [PATCH 0/4] wean start_command() off the_repository

From: Burak Kaan Karaçay <[email-masked]>
Date: Wed, 11 Mar 2026 22:09:04 +0300

On Wed, Mar 11, 2026 at 07:18:10PM +0100, René Scharfe wrote:
>Only gc, pull and auto-maintenance set close_object_store.  If we
>changed them to set a pointer to the object store they want to have
>closed instead of a binary flag then we could leave the other callers
>unchanged.

Wow. That's... elegant! I have never considered that. I will start
preparing v2.

Thanks,
Burak Kaan Karaçay